include:
  - project: 'REPLACE_EXAMPLE_SPECIFIC_GITLAB_PROJECTNAME'
    file: '/gitlab-ci/docker/.base-ci.yml'

variables:
  PROJECT_NAME: "REPLACE_EXAMPLE_PROJECTNAME"
  PROJECT_VERSION: "1.0.0"

stages:
  - build
  - deploy

build_docker:
  stage: build
  extends: .docker_build_template
  rules:
    - changes:
        - ".gitlab/**/*"
        - "**/*.config"
        - "**/*.md"
        - "**/*.txt"
        - "**/*.yml"
        - .dockerignore
        - .editorconfig
        - .gitattributes
        - .gitignore
      when: never

deploy_docker:
  stage: deploy
  extends: .docker_deploy_template
  only:
    - /^deploy-docker-.*$/
